Bug 971728 - Win2008r2.x86_64.unattended_install.cdrom.with_migration stuck at 'completing installation'
Summary: Win2008r2.x86_64.unattended_install.cdrom.with_migration stuck at 'completing...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Juan Quintela
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 08:04 UTC by Xiaoqing Wei
Modified: 2015-09-09 17:55 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 17:55:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snapshot (23.36 KB, image/jpeg)
2013-06-07 08:04 UTC, Xiaoqing Wei
no flags Details
autotest log tar (9.91 MB, application/x-tar)
2013-06-07 08:07 UTC, Xiaoqing Wei
no flags Details
crash report - from mail (91.17 KB, text/plain)
2015-03-12 06:04 UTC, Xiaoqing Wei
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1036478 None None None Never

Description Xiaoqing Wei 2013-06-07 08:04:03 UTC
Created attachment 758025 [details]
snapshot

Description of problem:

Win2008r2.x86_64.unattended_install.cdrom.with_migration stuck at 'completing installation'

Version-Release number of selected component (if applicable):
kernel-3.10.0-0.rc3.58.el7
qemu-kvm-1.5.0-2.el7

How reproducible:
1/2

Steps to Reproduce:
1.start a win2008r2 guest install, and keep ping-pong migrate during the process
/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/qemu/qemu \
    -S \
    -name 'vm1' \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130603-215826-ZSpmZXj6,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130603-215826-ZSpmZXj6,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130603-215826-ZSpmZXj6,path=/tmp/seabios-20130603-215826-ZSpmZXj6,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130603-215826-ZSpmZXj6,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/win2008r2-64.qcow2',if=none,id=drive-ide0-0-0,media=disk,cache=none,snapshot=off,format=qcow2,aio=threads \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0 \
    -device e1000,netdev=idHKornL,mac=9a:82:83:84:85:86,bus=pci.0,addr=0x3,id='idcVr0oy' \
    -netdev tap,id=idHKornL,fd=34 \
    -m 4096 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'Penryn',hv_relaxed \
    -M pc \
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/ISO/Win2008R2/en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_with_sp1_x64_dvd_617601.iso',if=none,id=drive-ide0-0-1,media=cdrom,snapshot=off,format=raw \
    -device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1 \
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/windows/winutils.iso',if=none,id=drive-ide0-1-0,media=cdrom,snapshot=off,format=raw \
    -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0 \
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/windows/virtio-win.iso',if=none,id=drive-ide0-1-1,media=cdrom,snapshot=off,format=raw \
    -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-1 \
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/win2008-r2-64/answer.vfd',if=none,id=fdc0-0-0,media=disk,snapshot=off,readonly=off,format=raw \
    -global isa-fdc.driveA=fdc0-0-0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :3 \
    -vga std \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off  \
    -enable-kvm \
    -incoming tcp:0:5200

2.
3.

Actual results:
vm stucks, see snapshot

Expected results:
both host and guest work well,
not vm stuck

Additional info:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9400  @ 2.66GHz
stepping	: 10
microcode	: 0xa0b
cpu MHz		: 1998.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 2
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 5333.19
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

Comment 1 Xiaoqing Wei 2013-06-07 08:07:36 UTC
Created attachment 758036 [details]
autotest log tar

Comment 3 Yan Vugenfirer 2014-01-14 14:19:25 UTC
Is the guest responding to pings after installation or is it a hang of the VNC viewer?

Can you inject NMI and generate dump file?

Thanks,
Yan.

Comment 4 Xiaoqing Wei 2014-01-15 07:40:09 UTC
(In reply to Yan Vugenfirer from comment #3)
> Is the guest responding to pings after installation or is it a hang of the
> VNC viewer?
> 

Hi Yan,
pls check the snapshot when the VM hangs,
https://bugzilla.redhat.com/attachment.cgi?id=758025
The installation is not finished yet, w/o entering the OS env I cant know the IP addr

> Can you inject NMI and generate dump file?

I will try to repro on latest build and inject one, if get an reproducer.
BTW, what should I do before sending 'inject-nmi' in qemu monitor to get a dump ?
the OS wasn't finished installation yet.

Regards,
Xiaoqing.

Comment 6 Yan Vugenfirer 2014-06-18 11:42:35 UTC
(In reply to Xiaoqing Wei from comment #4)
> (In reply to Yan Vugenfirer from comment #3)
> > Is the guest responding to pings after installation or is it a hang of the
> > VNC viewer?
> > 
> 
> Hi Yan,
> pls check the snapshot when the VM hangs,
> https://bugzilla.redhat.com/attachment.cgi?id=758025
> The installation is not finished yet, w/o entering the OS env I cant know
> the IP addr
> 
> > Can you inject NMI and generate dump file?
> 
> I will try to repro on latest build and inject one, if get an reproducer.
> BTW, what should I do before sending 'inject-nmi' in qemu monitor to get a
> dump ?
> the OS wasn't finished installation yet.

If OS finished installing yet, we might not get a dump.

> 
> Regards,
> Xiaoqing.

Comment 26 Xiaoqing Wei 2015-03-12 06:04:43 UTC
Created attachment 1000801 [details]
crash report - from mail

Comment 34 Juan Quintela 2015-09-09 17:55:42 UTC
This is a bug that happened on one machine that is giving MCE errors.

If you are able to reproduce in one machine without such errors, please reopen, otherwise we would call it hardware error.

Thanks, Juan.


Note You need to log in before you can comment on or make changes to this bug.